kio Library: KLimitedIODevice Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KLimitedIODevice Class Reference

A readonly device that reads from an underlying device from a given point to another (e.g. More...

`#include <klimitediodevice.h>`

Inheritance diagram for KLimitedIODevice:

[legend]
Collaboration diagram for KLimitedIODevice:

[legend]
List of all members.

## Public Member Functions
| KLimitedIODevice (QIODevice *dev, int start, int length)
virtual bool | open (int m)
virtual void | close ()
virtual void | flush ()
virtual Offset | size () const
virtual Q_LONG | readBlock (char *data, Q_ULONG maxlen)
virtual Q_LONG | writeBlock (const char *, Q_ULONG)
virtual int | putch (int)
virtual int | getch ()
virtual int | ungetch (int c)
virtual Offset | at () const
virtual bool | at (Offset pos)
virtual bool | atEnd () const

## Detailed Description

A readonly device that reads from an underlying device from a given point to another (e.g.

to give access to a single file inside an archive).

Author:
  David Faure <david@mandrakesoft.com>

Since:
  3.1

Definition at line 31 of file klimitediodevice.h.

## Constructor & Destructor Documentation

KLimitedIODevice::KLimitedIODevice | ( | QIODevice * | dev,
|  | int | start,
|  | int | length
| ) | `[inline]`

  | Creates a new KLimitedIODevice. Parameters:
  | dev | the underlying device, opened or not This device itself auto-opens (in readonly mode), no need to open it.
  | start | where to start reading (position in bytes)
  | length | the length of the data to read (in bytes)
Definition at line 41 of file klimitediodevice.h. References QIODevice::open().

The documentation for this class was generated from the following file:

- klimitediodevice.h

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:56 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003